Public Attributes | List of all members
cts_c_handles_t Struct Reference
BLE Services » Current Time Service Client (CTS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <cts_c.h>`

## Public Attributes
uint16_t | cts_srvc_start_handle
| CTS Service start handle. More...
uint16_t | cts_srvc_end_handle
| CTS Service end handle. More...
uint16_t | cts_cur_time_handle
| CTS Current Time characteristic Value handle which has been got from peer. More...
uint16_t | cts_cur_time_cccd_handle
| CTS CCCD handle of Current Time characteristic which has been got from peer. More...
uint16_t | cts_loc_time_info_handle
| CTS Local Time Information characteristic Value handle which has been got from peer. More...
uint16_t | cts_ref_time_info_handle
| CTS Reference Time Information characteristic Value handle which has been got from peer. More...

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 161 of file cts_c.h.

## Member Data Documentation

## ◆ cts_cur_time_cccd_handle

uint16_t cts_c_handles_t::cts_cur_time_cccd_handle

CTS CCCD handle of Current Time characteristic which has been got from peer.

Definition at line 166 of file cts_c.h.

## ◆ cts_cur_time_handle

uint16_t cts_c_handles_t::cts_cur_time_handle

CTS Current Time characteristic Value handle which has been got from peer.

Definition at line 165 of file cts_c.h.

## ◆ cts_loc_time_info_handle

uint16_t cts_c_handles_t::cts_loc_time_info_handle

CTS Local Time Information characteristic Value handle which has been got from peer.

Definition at line 167 of file cts_c.h.

## ◆ cts_ref_time_info_handle

uint16_t cts_c_handles_t::cts_ref_time_info_handle

CTS Reference Time Information characteristic Value handle which has been got from peer.

Definition at line 168 of file cts_c.h.

## ◆ cts_srvc_end_handle

uint16_t cts_c_handles_t::cts_srvc_end_handle

CTS Service end handle.

Definition at line 164 of file cts_c.h.

## ◆ cts_srvc_start_handle

uint16_t cts_c_handles_t::cts_srvc_start_handle

CTS Service start handle.

Definition at line 163 of file cts_c.h.

The documentation for this struct was generated from the following file:

- cts_c.h